function likelihood = compute_likelihood(docs, model)
 
likelihood = 0;
 
D = length(docs);
W = size(model.log_prob_w,2);
alpha=ones(1,size(model.theta,2));

%add ln P(\theta_d|\alpha)
likelihood = likelihood + D*(gammaln(sum(alpha)) - sum(gammaln(alpha))) + sum((alpha-1) * log(model.theta)');
 
%add ln P(t_d|\theta,\beta)
for dd=1:D
    doccounts = docs{dd}.counts;
    log_P_t_given_theta = logsum(repmat(log(model.theta(dd,:)), W, 1)' + model.log_prob_w,1);
    likelihood = likelihood + (log_P_t_given_theta * doccounts);
end

