function model = new_model(corpus, INITIAL_ALPHA, SourcePanelRates)

%function model = new_model(corpus, INITIAL_ALPHA, SourcePanelRates)
%
% initialize a new ISOLATE model
%
% INPUT:
%
% num_terms: # genes
%
% num_topics: # mixing sources potentially in tumor samples
%
%
% currentsiteoforiginrates: gene abundances (rates) for current assumed
% site of origin
%
% SourcePanelRates: SxN matrix of gene abundances (rates), S is number of
% sources in Source Panel, N is the number of genes

%save number of topics (# mixing sources), number of terms (# genes), and
%the initial alpha 
%log_prob_w has one less dimension than num_topics because last one is cancer

model.log_prob_w = log(SourcePanelRates); %log SourcePanelRates

%initialize thetas to be 50% cancer?
D = length(corpus.docs);
K = size(model.log_prob_w, 1);

model.theta = ones(D,K) * (1.0/K);
