function corpus = read_data(data)
%function corpus = read_data(data)
%
% convert tumorsample data into a structure for learning

corpus.num_terms = size(data,1);
corpus.num_docs = size(data,2);
corpus.docs = cell(corpus.num_docs,1);

datacolsum = sum(data,1);

for ii=1:corpus.num_docs
    %note, corpus.docs{ii}.length is the number of genes, not the
    %total number of words (as defined by David Blei's original code)
    corpus.docs{ii}.length = corpus.num_terms;
    corpus.docs{ii}.total = datacolsum(ii);
    corpus.docs{ii}.words = 1:corpus.num_terms;
    corpus.docs{ii}.counts = data(:,ii);
end
