function likelihood = theta_compute_likelihood(theta, docs, doc_index, model)
%function [myalhood, deriv_alhood] = alpha_obj(a, ss, NUM_DOCS, NUM_TOPICS)
%
% This function returns the alhood and derivative of the alhood 
% with respect to log(alpha).  That is, we are assuming we are optimizing 
% the log of alpha, so that we can keep it positive.
%
% INPUT:
%
% NUM_DOCS: number of tumor samples
% 
% NUM_TOPICS: length of alpha (number of mixing sources)

likelihood = 0;

W = size(model.log_prob_w,2);
K = size(model.log_prob_w,1);

%add ln P(t_d|\theta,\beta)
doccounts = docs{doc_index}.counts;

log_P_t_given_theta = logsum(   repmat( log(theta), W, 1)' + model.log_prob_w    , 1);
likelihood = likelihood + (log_P_t_given_theta * doccounts);
